Bug 1436825 - review request: kuryr-kubernetes - Kubernetes integration with OpenStack networking
Summary: review request: kuryr-kubernetes - Kubernetes integration with OpenStack netw...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: Alfredo Moralejo
QA Contact: hguemar
URL:
Whiteboard:
Depends On: 1436220
Blocks: RDO-PIKE
TreeView+ depends on / blocked
 
Reported: 2017-03-28 18:46 UTC by Antoni Segura Puimedon
Modified: 2017-04-20 13:58 UTC (History)
5 users (show)

Fixed In Version: openstack-kuryr-kubernetes-0.1.1-0.20170420055142.07c8879.el7.centos.src.rpm
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-20 13:58:19 UTC
amoralej: rdo-review+


Attachments (Terms of Use)

Description Antoni Segura Puimedon 2017-03-28 18:46:18 UTC
Packaging for Kuryr-kubernetes, upstream https://github.com/openstack/kuryr-kubernetes

The specfile can be found in:

https://gitlab.com/celebdor/kuryr-kubernetes-distgit

https://gitlab.com/celebdor/kuryr-kubernetes-distgit/raw/rpm-master/openstack-kuryr-kubernetes.spec

Description: Kuryr-kubernetes is an integration service that brings OpenStack Networking to Kubernetes clusters.

Comment 1 Alfredo Moralejo 2017-03-29 08:05:47 UTC
licensecheck output:


./LICENSE: *No copyright* Apache (v2.0)
./README.rst: *No copyright* Apache
./babel.cfg: *No copyright* UNKNOWN
./requirements.txt: *No copyright* UNKNOWN
./setup.cfg: *No copyright* Apache
./setup.py: Apache (v2.0) GENERATED FILE
./test-requirements.txt: *No copyright* UNKNOWN
./tox.ini: *No copyright* UNKNOWN
./devstack/devstackgaterc: *No copyright* Apache (v2.0)
./devstack/gate_hook.sh: *No copyright* UNKNOWN
./devstack/kubectl: *No copyright* UNKNOWN
./devstack/local.conf.df.sample: *No copyright* UNKNOWN
./devstack/local.conf.pod-in-vm.overcloud.sample: *No copyright* UNKNOWN
./devstack/local.conf.pod-in-vm.undercloud.sample: *No copyright* UNKNOWN
./devstack/local.conf.sample: *No copyright* UNKNOWN
./devstack/plugin.sh: *No copyright* Apache (v2.0)
./devstack/settings: *No copyright* UNKNOWN
./kuryr_kubernetes/__init__.py: *No copyright* Apache (v2.0)
./kuryr_kubernetes/clients.py: Apache (v2.0)
./kuryr_kubernetes/config.py: *No copyright* Apache (v2.0)
./kuryr_kubernetes/constants.py: Apache (v2.0)
./kuryr_kubernetes/exceptions.py: Apache (v2.0)
./kuryr_kubernetes/k8s_client.py: Apache (v2.0)
./kuryr_kubernetes/linux_net_utils.py: Apache (v2.0)
./kuryr_kubernetes/opts.py: *No copyright* Apache (v2.0)
./kuryr_kubernetes/os_vif_plug_noop.py: *No copyright* Apache (v2.0)
./kuryr_kubernetes/os_vif_util.py: Apache (v2.0)
./kuryr_kubernetes/utils.py: *No copyright* Apache (v2.0)
./kuryr_kubernetes/watcher.py: Apache (v2.0)
./scripts/run_server.py: *No copyright* Apache (v2.0)
./tools/generate_config_file_samples.sh: *No copyright* Apache (v2.0) GENERATED FILE
./tools/pretty_tox.sh: *No copyright* UNKNOWN
./tools/subunit-trace.py: Apache (v2.0)
./tools/tox_install.sh: *No copyright* UNKNOWN
./contrib/vagrant/README.md: *No copyright* UNKNOWN
./contrib/vagrant/Vagrantfile: *No copyright* UNKNOWN
./contrib/vagrant/devstack.sh: *No copyright* UNKNOWN
./contrib/vagrant/vagrant.sh: *No copyright* UNKNOWN
./doc/images/controller_pipeline.png: UNKNOWN
./doc/images/kuryr_k8s_components.png: UNKNOWN
./doc/images/kuryr_k8s_components.svg: *No copyright* UNKNOWN
./doc/images/pod_creation_flow.png: UNKNOWN
./doc/images/pod_creation_flow.svg: *No copyright* UNKNOWN
./doc/source/conf.py: *No copyright* Apache (v2.0)
./doc/source/contributing.rst: *No copyright* UNKNOWN
./doc/source/index.rst: *No copyright* UNKNOWN
./doc/source/installation.rst: *No copyright* UNKNOWN
./doc/source/readme.rst: *No copyright* UNKNOWN
./doc/source/usage.rst: *No copyright* UNKNOWN
./etc/oslo-config-generator/kuryr.conf: *No copyright* UNKNOWN
./kuryr_kubernetes/cmd/cni.py: Apache (v2.0)
./kuryr_kubernetes/cni/api.py: Apache (v2.0)
./kuryr_kubernetes/cni/handlers.py: Apache (v2.0)
./kuryr_kubernetes/cni/main.py: Apache (v2.0)
./kuryr_kubernetes/controller/service.py: Apache (v2.0)
./kuryr_kubernetes/handlers/asynchronous.py: Apache (v2.0)
./kuryr_kubernetes/handlers/base.py: Apache (v2.0)
./kuryr_kubernetes/handlers/dispatch.py: Apache (v2.0)
./kuryr_kubernetes/handlers/k8s_base.py: Apache (v2.0)
./kuryr_kubernetes/handlers/logging.py: Apache (v2.0)
./kuryr_kubernetes/handlers/retry.py: Apache (v2.0)
./kuryr_kubernetes/objects/__init__.py: *No copyright* UNKNOWN
./kuryr_kubernetes/objects/base.py: Apache (v2.0)
./kuryr_kubernetes/objects/fields.py: Apache (v2.0)
./kuryr_kubernetes/objects/lbaas.py: Apache (v2.0)
./kuryr_kubernetes/objects/vif.py: *No copyright* Apache (v2.0)
./kuryr_kubernetes/tests/base.py: *No copyright* Apache (v2.0)
./contrib/testing/container/Dockerfile: *No copyright* UNKNOWN
./contrib/testing/container/build.sh: *No copyright* UNKNOWN
./contrib/testing/container/hostname.c: *No copyright* UNKNOWN
./contrib/vagrant/config/kuryr_rc: *No copyright* UNKNOWN
./doc/source/devref/index.rst: *No copyright* Apache (v2.0)
./doc/source/devref/kuryr_kubernetes_design.rst: *No copyright* UNKNOWN
./doc/source/devref/service_support.rst: *No copyright* UNKNOWN
./etc/cni/net.d/10-kuryr.conf: *No copyright* UNKNOWN
./etc/cni/net.d/99-loopback.conf: *No copyright* UNKNOWN
./kuryr_kubernetes/cmd/eventlet/__init__.py: Apache (v2.0)
./kuryr_kubernetes/cmd/eventlet/controller.py: Apache (v2.0)
./kuryr_kubernetes/cni/binding/base.py: Apache (v2.0)
./kuryr_kubernetes/cni/binding/bridge.py: Apache (v2.0)
./kuryr_kubernetes/cni/binding/nested.py: *No copyright* Apache (v2.0)
./kuryr_kubernetes/controller/drivers/base.py: Apache (v2.0)
./kuryr_kubernetes/controller/drivers/default_project.py: Apache (v2.0)
./kuryr_kubernetes/controller/drivers/default_security_groups.py: Apache (v2.0)
./kuryr_kubernetes/controller/drivers/default_subnet.py: Apache (v2.0)
./kuryr_kubernetes/controller/drivers/generic_vif.py: Apache (v2.0)
./kuryr_kubernetes/controller/drivers/lbaasv2.py: Apache (v2.0)
./kuryr_kubernetes/controller/drivers/nested_vlan_vif.py: *No copyright* Apache (v2.0)
./kuryr_kubernetes/controller/handlers/lbaas.py: Apache (v2.0)
./kuryr_kubernetes/controller/handlers/pipeline.py: Apache (v2.0)
./kuryr_kubernetes/controller/handlers/vif.py: Apache (v2.0)
./kuryr_kubernetes/tests/unit/kuryr_fixtures.py: Apache (v2.0)
./kuryr_kubernetes/tests/unit/test_clients.py: Apache (v2.0)
./kuryr_kubernetes/tests/unit/test_k8s_client.py: Apache (v2.0)
./kuryr_kubernetes/tests/unit/test_linux_net_utils.py: *No copyright* Apache (v2.0)
./kuryr_kubernetes/tests/unit/test_os_vif_plug_noop.py: *No copyright* Apache (v2.0)
./kuryr_kubernetes/tests/unit/test_os_vif_util.py: Apache (v2.0)
./kuryr_kubernetes/tests/unit/test_watcher.py: Apache (v2.0)
./doc/source/specs/pike/contrail_support.rst: *No copyright* UNKNOWN
./kuryr_kubernetes/tests/unit/controller/test_service.py: Apache (v2.0)
./kuryr_kubernetes/tests/unit/handlers/test_asynchronous.py: Apache (v2.0)
./kuryr_kubernetes/tests/unit/handlers/test_dispatch.py: Apache (v2.0)
./kuryr_kubernetes/tests/unit/handlers/test_k8s_base.py: Apache (v2.0)
./kuryr_kubernetes/tests/unit/handlers/test_logging.py: Apache (v2.0)
./kuryr_kubernetes/tests/unit/handlers/test_retry.py: Apache (v2.0)
./kuryr_kubernetes/tests/unit/cmd/eventlet/test_controller.py: Apache (v2.0)
./kuryr_kubernetes/tests/unit/controller/drivers/test_base.py: Apache (v2.0)
./kuryr_kubernetes/tests/unit/controller/drivers/test_default_project.py: Apache (v2.0)
./kuryr_kubernetes/tests/unit/controller/drivers/test_default_security_groups.py: Apache (v2.0)
./kuryr_kubernetes/tests/unit/controller/drivers/test_default_subnet.py: Apache (v2.0)
./kuryr_kubernetes/tests/unit/controller/drivers/test_generic_vif.py: Apache (v2.0)
./kuryr_kubernetes/tests/unit/controller/drivers/test_lbaasv2.py: Apache (v2.0)
./kuryr_kubernetes/tests/unit/controller/drivers/test_nested_vlan_vif.py: *No copyright* Apache (v2.0)
./kuryr_kubernetes/tests/unit/controller/handlers/test_lbaas.py: Apache (v2.0)
./kuryr_kubernetes/tests/unit/controller/handlers/test_pipeline.py: Apache (v2.0)
./kuryr_kubernetes/tests/unit/controller/handlers/test_vif.py: Apache (v2.0)


License is correct Apache Software License v2.0

Please request a new project as explained in step 2 in https://www.rdoproject.org/documentation/rdo-packaging/#how-to-add-a-new-package-to-rdo-trunk

Comment 3 Haïkel Guémar 2017-04-04 10:40:09 UTC
Please post formal review report too.

Comment 5 Alfredo Moralejo 2017-04-04 14:41:35 UTC
Output of fedora-review:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 44 files have unknown
     license. Detailed output of licensecheck in /tmp/openstack-kuryr-
     kubernetes/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/systemd,
     /usr/lib/systemd/system, /etc/logrotate.d, /usr/lib/tmpfiles.d
[x]: Package contains no bundled libraries without FPC exception.
[-]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -kuryr-kubernetes , python2-kuryr-kubernetes-tests , openstack-kuryr-
     kubernetes-common , openstack-kuryr-kubernetes-doc , openstack-kuryr-
     kubernetes-controller , openstack-kuryr-kubernetes-cni
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Files in /run, var/run and /var/lock uses tmpfiles.d when appropriate
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version
     0.0.1.dev158
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python2-kuryr-kubernetes-0.0.1-0.20170404120948.a6a0bdd.el7.centos.noarch.rpm
          python2-kuryr-kubernetes-tests-0.0.1-0.20170404120948.a6a0bdd.el7.centos.noarch.rpm
          openstack-kuryr-kubernetes-common-0.0.1-0.20170404120948.a6a0bdd.el7.centos.noarch.rpm
          openstack-kuryr-kubernetes-doc-0.0.1-0.20170404120948.a6a0bdd.el7.centos.noarch.rpm
          openstack-kuryr-kubernetes-controller-0.0.1-0.20170404120948.a6a0bdd.el7.centos.noarch.rpm
          openstack-kuryr-kubernetes-cni-0.0.1-0.20170404120948.a6a0bdd.el7.centos.noarch.rpm
          openstack-kuryr-kubernetes-0.0.1-0.20170404120948.a6a0bdd.el7.centos.src.rpm
python2-kuryr-kubernetes.noarch: E: no-changelogname-tag
python2-kuryr-kubernetes.noarch: W: no-documentation
python2-kuryr-kubernetes-tests.noarch: E: no-changelogname-tag
python2-kuryr-kubernetes-tests.noarch: W: no-documentation
openstack-kuryr-kubernetes-common.noarch: E: no-changelogname-tag
openstack-kuryr-kubernetes-common.noarch: W: only-non-binary-in-usr-lib
openstack-kuryr-kubernetes-common.noarch: W: non-standard-uid /etc/kuryr kuryr
openstack-kuryr-kubernetes-common.noarch: W: non-standard-gid /etc/kuryr kuryr
openstack-kuryr-kubernetes-common.noarch: E: non-standard-dir-perm /etc/kuryr 750
openstack-kuryr-kubernetes-common.noarch: E: incoherent-logrotate-file /etc/logrotate.d/openstack-kuryr-kubernetes
openstack-kuryr-kubernetes-common.noarch: W: non-standard-gid /etc/kuryr/kuryr.conf kuryr
openstack-kuryr-kubernetes-common.noarch: E: non-readable /etc/kuryr/kuryr.conf 640
openstack-kuryr-kubernetes-common.noarch: W: non-standard-uid /var/log/kuryr kuryr
openstack-kuryr-kubernetes-common.noarch: W: non-standard-gid /var/log/kuryr kuryr
openstack-kuryr-kubernetes-common.noarch: E: non-standard-dir-perm /var/log/kuryr 750
openstack-kuryr-kubernetes-common.noarch: W: non-standard-uid /var/run/kuryr kuryr
openstack-kuryr-kubernetes-common.noarch: W: non-standard-gid /var/run/kuryr kuryr
openstack-kuryr-kubernetes-common.noarch: E: dir-or-file-in-var-run /var/run/kuryr
openstack-kuryr-kubernetes-doc.noarch: E: no-changelogname-tag
openstack-kuryr-kubernetes-doc.noarch: W: hidden-file-or-dir /usr/share/doc/openstack-kuryr-kubernetes-doc-0.0.1/html/.buildinfo
openstack-kuryr-kubernetes-controller.noarch: W: manpage-not-compressed gz /usr/share/man/man1/kuryr-kubernetes.1
openstack-kuryr-kubernetes-controller.noarch: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
openstack-kuryr-kubernetes-controller.noarch: E: no-changelogname-tag
openstack-kuryr-kubernetes-controller.noarch: W: no-manual-page-for-binary kuryr-k8s-controller
openstack-kuryr-kubernetes-cni.noarch: E: no-changelogname-tag
openstack-kuryr-kubernetes-cni.noarch: W: no-documentation
openstack-kuryr-kubernetes-cni.noarch: W: no-manual-page-for-binary kuryr-cni
openstack-kuryr-kubernetes.src: E: no-changelogname-tag
openstack-kuryr-kubernetes.src: W: invalid-url Source0: kuryr-kubernetes-0.0.1.dev158-0.20170404120948.a6a0bdd.tar.gz
7 packages and 0 specfiles checked; 12 errors, 17 warnings.




Rpmlint (installed packages)
----------------------------
openstack-kuryr-kubernetes-cni.noarch: E: no-changelogname-tag
openstack-kuryr-kubernetes-cni.noarch: W: no-documentation
openstack-kuryr-kubernetes-cni.noarch: W: no-manual-page-for-binary kuryr-cni
openstack-kuryr-kubernetes-controller.noarch: W: manpage-not-compressed gz /usr/share/man/man1/kuryr-kubernetes.1
openstack-kuryr-kubernetes-controller.noarch: E: no-changelogname-tag
openstack-kuryr-kubernetes-controller.noarch: W: only-non-binary-in-usr-lib
openstack-kuryr-kubernetes-controller.noarch: W: no-manual-page-for-binary kuryr-k8s-controller
openstack-kuryr-kubernetes-common.noarch: E: no-changelogname-tag
openstack-kuryr-kubernetes-common.noarch: W: only-non-binary-in-usr-lib
openstack-kuryr-kubernetes-common.noarch: W: non-standard-gid /etc/kuryr/kuryr.conf kuryr
openstack-kuryr-kubernetes-common.noarch: E: non-readable /etc/kuryr/kuryr.conf 0640L
openstack-kuryr-kubernetes-common.noarch: W: non-standard-uid /var/log/kuryr kuryr
openstack-kuryr-kubernetes-common.noarch: W: non-standard-gid /var/log/kuryr kuryr
openstack-kuryr-kubernetes-common.noarch: E: non-standard-dir-perm /var/log/kuryr 0750L
openstack-kuryr-kubernetes-common.noarch: E: incoherent-logrotate-file /etc/logrotate.d/openstack-kuryr-kubernetes
openstack-kuryr-kubernetes-common.noarch: W: non-standard-uid /var/run/kuryr kuryr
openstack-kuryr-kubernetes-common.noarch: W: non-standard-gid /var/run/kuryr kuryr
openstack-kuryr-kubernetes-common.noarch: W: non-standard-uid /etc/kuryr kuryr
openstack-kuryr-kubernetes-common.noarch: W: non-standard-gid /etc/kuryr kuryr
openstack-kuryr-kubernetes-common.noarch: E: non-standard-dir-perm /etc/kuryr 0750L
python2-kuryr-kubernetes.noarch: E: no-changelogname-tag
python2-kuryr-kubernetes.noarch: W: no-documentation
openstack-kuryr-kubernetes-doc.noarch: E: no-changelogname-tag
openstack-kuryr-kubernetes-doc.noarch: W: hidden-file-or-dir /usr/share/doc/openstack-kuryr-kubernetes-doc-0.0.1/html/.buildinfo
python2-kuryr-kubernetes-tests.noarch: E: no-changelogname-tag
python2-kuryr-kubernetes-tests.noarch: W: no-documentation
6 packages and 0 specfiles checked; 10 errors, 16 warnings.



Requires
--------
openstack-kuryr-kubernetes-cni (rpmlib, GLIBC filtered):
    /usr/bin/python2
    openstack-kuryr-kubernetes-common

openstack-kuryr-kubernetes-controller (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python2
    openstack-kuryr-kubernetes-common

openstack-kuryr-kubernetes-common (rpmlib, GLIBC filtered):
    config(openstack-kuryr-kubernetes-common)
    python2-kuryr-kubernetes

python2-kuryr-kubernetes (rpmlib, GLIBC filtered):
    /bin/sh
    python(abi)
    python-eventlet
    python-kuryr-lib
    python-os-vif
    python-oslo-config
    python-oslo-log
    python-oslo-serialization
    python-oslo-service
    python-oslo-utils
    python-pyroute2
    python-requests
    python-six
    python-stevedore

openstack-kuryr-kubernetes-doc (rpmlib, GLIBC filtered):

python2-kuryr-kubernetes-tests (rpmlib, GLIBC filtered):
    python(abi)
    python-ddt
    python-mock
    python-oslotest
    python-testrepository
    python-testscenarios
    python-testtools
    python2-kuryr-kubernetes



Provides
--------
openstack-kuryr-kubernetes-cni:
    openstack-kuryr-kubernetes-cni

openstack-kuryr-kubernetes-controller:
    openstack-kuryr-kubernetes-controller

openstack-kuryr-kubernetes-common:
    config(openstack-kuryr-kubernetes-common)
    openstack-kuryr-kubernetes-common

python2-kuryr-kubernetes:
    python-kuryr-kubernetes
    python2-kuryr-kubernetes

openstack-kuryr-kubernetes-doc:
    openstack-kuryr-kubernetes-doc

python2-kuryr-kubernetes-tests:
    python2-kuryr-kubernetes-tests



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m dlrn-master -r -b 1436825
Buildroot used: dlrn-centos-ocata-x86_64-1
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Some comments about fedora-review output:

- no-changelogname-tag: changelog is empty as required for DLRN builds.
- non-readable /etc/kuryr/kuryr.conf 0640L : permissions are correct, file must only be readable for owner and group owner.
- non-standard-dir-perm /etc/kuryr 0750L : similar to previous comment
- incoherent-logrotate-file /etc/logrotate.d/openstack-kuryr-kubernetes log file /var/log/kuryr follows upstream standard location.
- Note: %define requiring justification: %define upstream_version : this macro is automatically created by dlrn.

The package is APPROVED.


Note You need to log in before you can comment on or make changes to this bug.